#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 pandoc-types
version:              1.23.1
visibility:           public
id:                   pandoc-types-1.23.1-L1XW59Pw0X3JEoULqn62Bu
key:                  pandoc-types-1.23.1-L1XW59Pw0X3JEoULqn62Bu
license:              LicenseRef-BSD-3
copyright:            (c) 2006-2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://pandoc.org/
synopsis:             Types for representing a structured document
description:
    @Text.Pandoc.Definition@ defines the '\''Pandoc'\'' data
    structure, which is used by pandoc to represent
    structured documents.  This module used to live
    in the pandoc package, but starting with pandoc 1.7, it
    has been split off, so that other packages can use it
    without drawing in all of pandoc'\''s dependencies, and
    pandoc itself can depend on packages (like citeproc-hs)
    that use them.

    @Text.Pandoc.Builder@ provides functions for building
    up @Pandoc@ structures programmatically.

    @Text.Pandoc.Generic@ provides generic functions for
    manipulating Pandoc documents.

    @Text.Pandoc.Walk@ provides faster, nongeneric functions
    for manipulating Pandoc documents.

    @Text.Pandoc.JSON@ provides functions for serializing
    and deserializing a @Pandoc@ structure to and from JSON.

category:             Text
abi:                  dd6642a4d0133d531b0318c8820b7d57
exposed:              True
exposed-modules:
    Text.Pandoc.Arbitrary Text.Pandoc.Builder Text.Pandoc.Definition
    Text.Pandoc.Generic Text.Pandoc.JSON Text.Pandoc.Walk

hidden-modules:       Paths_pandoc_types
import-dirs:          /usr/lib/ghc-9.8.2/site-local/pandoc-types-1.23.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/pandoc-types-1.23.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/pandoc-types-1.23.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/pandoc-types-1.23.1
hs-libraries:         HSpandoc-types-1.23.1-L1XW59Pw0X3JEoULqn62Bu
depends:
    QuickCheck-2.14.3-CMSRR25mhIZKkXks0QEHAt
    aeson-2.2.1.0-4pa7z8wb2ac2tkW2gC8FY5 base-4.19.1.0-inplace
    bytestring-0.12.1.0-inplace containers-0.6.8-inplace
    deepseq-1.5.0.0-inplace ghc-prim-0.11.0-inplace
    syb-0.7.2.4-98iSqGtavFJHuhaPlQH3zt text-2.1.1-inplace
    transformers-0.6.1.0-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/pandoc-types-1.23.1/html/pandoc-types.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/pandoc-types-1.23.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

